varying vec2 		texcoord;
uniform sampler2D 	tex;
varying vec4		t0,t1,t2,t3;

void main()
{
	gl_FragColor =	(	texture2D(tex, t0.xy)*0.125		+
						texture2D(tex, t0.zw)*0.125		+
						
						texture2D(tex, t1.xy)*0.0625	+
						texture2D(tex, t1.zw)*0.0625	+
						texture2D(tex, t2.xy)*0.0625	+
						texture2D(tex, t2.zw)*0.0625	+
						
						texture2D(tex, t3.xy)*0.125		+
						texture2D(tex, t3.zw)*0.125		+
						
						texture2D(tex, texcoord)*0.25 	);
}
